Journal Mandrake, noyo 2.6 et Winmodem

Posté par .
Tags : aucun
0
16
mar.
2004
Euh... voilà un sujet pour lequel Google aurait dû être mon ami, mais là je suis un peu perdu...

Je suis tombé sur le cas, sûrement classique mais nouveau pour moi, du gars qui a sur sa machine un winmodem (HSP56 Micromodem). Pas glop lors de l'installation de Mandrake cooker.

Dans le pire des cas, je pense suivre la manip décrite ici, avec le noyau 2.4 (http://trustonme.net/didactels/?rub=161(...)), si ça vous semble ok.

Mais évidemment j'aimerais bien lui laisser le noyau 2.6, donc l'info en or c'est de savoir si on peut faire marcher ce truc avec le noyau 2.6... quelqu'un a-t-il déjà réussi l'opération ?

Merci d'avance !
  • # Re: Mandrake, noyo 2.6 et Winmodem

    Posté par . Évalué à 1.

    Moi ça me fait soulever une question : pourquoi les pilotes des winModem sont pas mieux intégré dans nunux ?
    pb de fabriquants pas simpa ?
    pb de truc completement fermé ?

    Bref, les winModem, ça suxor. Mais y-a-t-il des Pc Portable sans ces daubes ?
    • [^] # Re: Mandrake, noyo 2.6 et Winmodem

      Posté par . Évalué à 1.

      Ca dépend des modèles. Sur mon vieux portable, un Toshiba d'il y a 4 ans, j'ai trouvé assez vite les drivers du winmodem (Lucent Microelectronics 56k WinModem (rev 01) ), et ça marche parfaitement.

      Sur mon nouveau Nec, il y a bien un driver pour le "Silicon Integrated Systems [SiS] Intel 537 [56k Winmodem]", mais il contient un fichier déjà compilé ... avec un vieux gcc, et c'est visiblement incompatible avec le compilateur que j'utilise.

      Bref, tout dépend des modèles. Et je pense que le fait que les portables soient moins répandus que les PC de bureaux ne favorise pas leur utilisation par des gens capables de développer les drivers.
  • # Pfffiou !!!

    Posté par . Évalué à 1.

    Bon, pour ceux que ca interesse, tout baigne, son modem marche mais quelle galere...

    Pour resumer, il faut suivre la procedure indiquee ici:
    http://trustonme.net/didactels/?rub=161(...)

    J'ai telecharge la derniere version des pilotes (archive http://linmodems.technion.ac.il/pctel-linux/pctel-0.9.7-9.tar.gz(...))

    Le script ./configure a echoue miserablement a detecter la version du noyau, donc il a fallu le modifier et indiquer explicitement:
    kernel_version=2.4.xxxxx
    uts_release=2.4.xxxx-xxmdk

    et lourder le code de detection foireux correspondant

    Ensuite (mais la je resume, hein, il m'a fallu un bout de temps avant de trouver...) il faut modifier le Makefile pour remplacer:
    ptserial=ptserial-2.4.6.c
    par
    ptserial=ptserial-2.4.7.c

    ensuite le reste c'est du pipi de chat.


    Par contre, comme je ne suis pas habitue a acceder a internet via un modem, j'ai pas bien saisi une petite chose: je lui ai fait utiliser kppp pour se connecter, mais pour se deconnecter comment faire ? Sauf erreur kppp se volatilise apres la connexion....

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.